# DOMXPath::registerNamespace

(PHP 5, PHP 7)

DOMXPath::registerNamespace — Registers the namespace with the DOMXPath object

### Description

public DOMXPath::registerNamespace ( string `$prefix` , string `$namespaceURI` ) : bool

Registers the `namespaceURI` and `prefix` with the DOMXPath object.

### Parameters

`prefix`

  The prefix.

`namespaceURI`

  The URI of the namespace.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.